%global commit b8736982bd225fae5e3271fe653e85c2534bb99e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python3-liblarch
Version:        3.0
Release:        1.git%{shortcommit}%{?dist}
Summary:        Data structures helper library for python3

License:        LGPLv3+
URL:            https://wiki.gnome.org/Projects/liblarch
#Source0:        https://github.com/liblarch/liblarch/archive/v%{version}.tar.gz
Source0:        https://github.com/liblarch/liblarch/archive/%{commit}/liblarch-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       pygobject3

%description
Liblarch is a python3 library built to easily handle data structure such as
lists, trees and directed acyclic graphs.

%package -n python3-liblarch_gtk
Summary:        Liblarch gtk binding for use in Gtk.Treeview
Requires:       python3-liblarch pygobject3

%description -n python3-liblarch_gtk
liblarch_gtk is a liblarch binding that will allow you to use your 
data structure into a Gtk.Treeview.

%prep
%setup -q -n liblarch-%{commit}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

#tests require DISPLAY
#check
#make test
 
%files
%doc AUTHORS LICENSE README.md examples
%{python3_sitelib}/liblarch/
%{python3_sitelib}/liblarch*egg-info

%files -n python3-liblarch_gtk
%doc AUTHORS LICENSE README.md
%{python3_sitelib}/liblarch_gtk/

%changelog
* Sun May 18 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.0-1.gitb873698
- newpackage: based on python-liblarch, but upstream not supported py2 version
